package com.op.mes.service;

import java.util.List;
import com.op.mes.domain.ProRouteProduct;

/**
 * 工艺线体关联Service接口
 *
 * @author Open Platform
 * @date 2023-07-13
 */
public interface IProRouteProductService {
	/**
	 * 查询工艺线体关联
	 *
	 * @param recordId 工艺线体关联主键
	 * @return 工艺线体关联
	 */
	public ProRouteProduct selectProRouteProductByRecordId(String recordId);

	/**
	 * 查询工艺线体关联列表
	 *
	 * @param proRouteProduct 工艺线体关联
	 * @return 工艺线体关联集合
	 */
	public List<ProRouteProduct> selectProRouteProductList(ProRouteProduct proRouteProduct);

	/**
	 * 新增工艺线体关联
	 *
	 * @param proRouteProduct 工艺线体关联
	 * @return 结果
	 */
	public int insertProRouteProduct(ProRouteProduct proRouteProduct);

	/**
	 * 修改工艺线体关联
	 *
	 * @param proRouteProduct 工艺线体关联
	 * @return 结果
	 */
	public int updateProRouteProduct(ProRouteProduct proRouteProduct);

	/**
	 * 批量删除工艺线体关联
	 *
	 * @param recordIds 需要删除的工艺线体关联主键集合
	 * @return 结果
	 */
	public int deleteProRouteProductByRecordIds(String[] recordIds);

	/**
	 * 删除工艺线体关联信息
	 *
	 * @param recordId 工艺线体关联主键
	 * @return 结果
	 */
	public int deleteProRouteProductByRecordId(String recordId);

    ProRouteProduct getList(ProRouteProduct proRouteProduct);
}
